Bug 729201 - Review Request: zypper - Command line software manager using libzypp
Review Request: zypper - Command line software manager using libzypp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 729199 729200 729203
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-08 23:04 EDT by T.C. Hollingsworth
Modified: 2013-10-19 10:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-19 06:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2011-08-08 23:04:21 EDT
Spec URL: http://www.u.arizona.edu/~tchol/fedora/zypper.spec
SRPM URL: http://www.u.arizona.edu/~tchol/fedora/zypper-1.6.14-1.fc15.src.rpm
Description:
Zypper is a command line tool for managing software. It can be used to add
package repositories, search for packages, install, remove, or update packages,
install patches, hardware drivers, verify dependencies, and more.

Zypper can be used interactively or non-interactively by user, from scripts,
or front-ends.
Comment 1 T.C. Hollingsworth 2011-08-09 08:32:42 EDT
$ rpmlint SPECS/zypper.spec
SPECS/zypper.spec:120: W: macro-in-%changelog %3AFactory
SPECS/zypper.spec:120: W: macro-in-comment %3AFactory
SPECS/zypper.spec: W: invalid-url Source0: zypper-1.6.14.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

$ rpmlint SRPMS/zypper-1.6.14-1.fc15.src.rpm 
zypper.src: W: spelling-error Summary(en_US) libzypp -> Libby
zypper.src:120: W: macro-in-%changelog %3AFactory
zypper.src:120: W: macro-in-comment %3AFactory
zypper.src: W: invalid-url Source0: zypper-1.6.14.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
Comment 2 T.C. Hollingsworth 2011-08-09 08:53:45 EDT
Oops, supposed to do binary RPM.

$ rpmlint RPMS/x86_64/zypper-1.6.14-1.fc15.x86_64.rpm 
zypper.x86_64: W: spelling-error Summary(en_US) libzypp -> Libby
zypper.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/zypp-refresh.lr
zypper.x86_64: E: incoherent-logrotate-file /etc/logrotate.d/zypper.lr
zypper.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/zypper.sh
zypper.x86_64: W: no-manual-page-for-binary zypp-refresh-wrapper
zypper.x86_64: W: no-manual-page-for-binary zypp-refresh
zypper.x86_64: W: no-manual-page-for-binary installation_sources
1 packages and 0 specfiles checked; 2 errors, 5 warnings.

$ rpmlint RPMS/x86_64/zypper-log-1.6.14-1.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 3 T.C. Hollingsworth 2011-08-10 00:23:14 EDT
I made a couple minor fixes to the spec file per Miroslav Suchý's advice in bug729199.  I changed nothing outside of the comments so I didn't upload a new SRPM.

Spec:  http://www.u.arizona.edu/~tchol/fedora/zypper.spec
SRPM:  http://www.u.arizona.edu/~tchol/fedora/zypper-1.6.14-1.fc15.src.rpm


$ rpmlint SPECS/zypper.spec 
SPECS/zypper.spec: W: invalid-url Source0: zypper-1.6.14.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 4 T.C. Hollingsworth 2011-08-19 06:48:42 EDT
Closing because this is blocked on bug729200.

I'm deleting the SRPMS to save my horribly close disk quota but I'll leave the specfiles up for future contributors interested in packaging this.

Note You need to log in before you can comment on or make changes to this bug.